class VgkCardHorizontalSubModel {
  VgkCardHorizontalSubModel({
    this.key,
    this.data,
  });

  String key;
  List<CardHorizontalFirstWithSubDetailModel> data;

  VgkCardHorizontalSubModel copyWith({
    String key,
    List<CardHorizontalFirstWithSubDetailModel> data,
  }) =>
      VgkCardHorizontalSubModel(
        key: key ?? this.key,
        data: data ?? this.data,
      );

  factory VgkCardHorizontalSubModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontalSubModel(
        key: json["key"] == null ? "" : json["key"],
        data: json["data"] == null
            ? []
            : List<CardHorizontalFirstWithSubDetailModel>.from(json["data"]
                .map((x) => CardHorizontalFirstWithSubDetailModel.fromMap(x))),
      );
}

class CardHorizontalFirstWithSubDetailModel {
  CardHorizontalFirstWithSubDetailModel({
    this.key,
    this.src,
    this.value,
    this.data,
  });

  String key;
  String src;
  String value;

  List<CardHorizontalFirstWithSubInfoDetailModel> data;

  CardHorizontalFirstWithSubDetailModel copyWith({
    String key,
    String src,
    String value,
    List<CardHorizontalFirstWithSubInfoDetailModel> data,
  }) =>
      CardHorizontalFirstWithSubDetailModel(
        key: key ?? this.key,
        src: src ?? this.src,
        value: value ?? this.value,
        data: data ?? this.data,
      );

  factory CardHorizontalFirstWithSubDetailModel.fromMap(
          Map<String, dynamic> json) =>
      CardHorizontalFirstWithSubDetailModel(
        key: json["key"] == null ? "" : json["key"],
        src: json["src"] == null ? "" : json["src"],
        value: json["value"] == null ? "" : json["value"],
        data: json["data"] == null
            ? null
            : List<CardHorizontalFirstWithSubInfoDetailModel>.from(json["data"]
                .map((x) =>
                    CardHorizontalFirstWithSubInfoDetailModel.fromMap(x))),
      );
}

class CardHorizontalFirstWithSubInfoDetailModel {
  CardHorizontalFirstWithSubInfoDetailModel({
    this.key,
    this.value,
    this.src,
    this.type,
  });

  String key;
  String value;
  String src;
  String type;

  CardHorizontalFirstWithSubInfoDetailModel copyWith({
    String key,
    String src,
    String value,
    String type,
  }) =>
      CardHorizontalFirstWithSubInfoDetailModel(
        key: key ?? this.key,
        src: src ?? this.src,
        value: value ?? this.value,
        type: type ?? this.type,
      );

  factory CardHorizontalFirstWithSubInfoDetailModel.fromMap(
          Map<String, dynamic> json) =>
      CardHorizontalFirstWithSubInfoDetailModel(
        key: json["key"] == null ? "" : json["key"],
        src: json["src"] == null ? "" : json["src"],
        value: json["value"] == null ? "" : json["value"],
        type: json["type"] == null ? "" : json["type"],
      );
}
